<?php

/** * @description This php script contains all the stuff to display evaluate
 *  * @authors Patricia Alves Rodrigues and Leônidas O. Brandão
 *  * @version $Id: grade.php$ v 1.0 2010/09/27$
 *  * @package iAssign: Intective Assignments
 *  * @last modification date 2010/12/21
 *  *
 *  * iMatica - iMath (http://www.matematica.br)
 *  * Computer Science Dep. of IME-USP (Brazil)
 *  * */
require_once("../../config.php");

$id = required_param('id', PARAM_INT);  // Course module ID
$url = new moodle_url('/mod/iassign/view.php'); // novo

if ($id) {
    if (!$cm = get_coursemodule_from_id('iassign', $id)) {
        print_error('invalidcoursemodule');
    }

    if (!$iassign = $DB->get_record("iassign", array("id" => $cm->instance))) {
        print_error('invalidid', 'iassign');
    }

    if (!$course = $DB->get_record("course", array("id" => $iassign->course))) {
        print_error('coursemisconf', 'iassign');
    }
    $url->param('id', $id);
} else {
    if (!$iassign = $DB->get_record("iassign", array("id" => $a))) {
        print_error('invalidid', 'iassign');
    }
    if (!$course = $DB->get_record("course", array("id" => $iassign->course))) {
        print_error('coursemisconf', 'iassign');
    }
    if (!$cm = get_coursemodule_from_instance("iassign", $iassign->id, $course->id)) {
        print_error('invalidcoursemodule');
    }
    $url->param('a', $a);
}

$PAGE->set_url($url);

require_login($course, true, $cm);


////
$PAGE->set_title(format_string($iassign->name));
$PAGE->set_heading($course->fullname);

require_once ("$CFG->dirroot/mod/iassign/locallib.php");


$iainstance = new iassign($iassign, $cm, $course);


if (has_capability('mod/iassign:viewreport', get_context_instance(CONTEXT_MODULE, $cm->id))) {
    $iainstance->action = 'report';
    $iainstance->stats();
} elseif (has_capability('mod/iassign:submitiassign', get_context_instance(CONTEXT_MODULE, $cm->id)))
    $iainstance->stats_students();
else
    $iainstance->view();
?>