<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


if (!defined('MOODLE_INTERNAL')) {
    die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
}

require_once($CFG->libdir . '/formslib.php');

class ilm_manager_form extends moodleform {

    function definition() {
        global $CFG, $USER, $DB, $PAGE, $OUTPUT;
        $id = optional_param('id', 0, PARAM_INT); // Course Module ID
        $from = optional_param('from', 0, PARAM_TEXT);

        $mform = & $this->_form;

        //-----javascripts
        $code_javascript_open_online_ilm = "
             <script type='text/javascript'>
             //<![CDATA[
             function open_online_ilm()
             {
                itemidfile=document.getElementById('id_file').value;
                iassignid=document.getElementById('id_iassign_ilmid').value;
                window.location='$CFG->wwwroot/mod/iassign/ilm_manager.php?from=$from&id=$id&action=new&iassignid='+iassignid+'&itemidfile='+itemidfile;
             }
             
             //]]>
             </script>";

        /// Adding new iLM
        $mform->addElement('header', 'new_ilm', get_string('new_ilm', 'iassign'));
        // Search iMA registered in the database
        $enable = 1;
        $sql = "SELECT s.id, s.name
          FROM {$CFG->prefix}iassign_ilm s
           WHERE s.enable = $enable";

        $ilms = $DB->get_records_sql($sql);

        $applets = array();
        foreach ($ilms as $ilm)
            $applets[$ilm->id] = $ilm->name;
        $ia_array = array();
        $ia_array[] = & $mform->createElement('select', 'iassign_ilmid', get_string('choose_iLM', 'iassign'), $applets);
        $ia_array[] = & $mform->createElement('button', 'online_new_iassign', get_string('open_editor_ilm', 'iassign'), array('onClick' => 'open_online_ilm()'));

        $mform->addGroup($ia_array, 'select_iassign', get_string('choose_iLM', 'iassign'), array(' '), false);

        /// Upload file ilm

        $mform->addElement('html', $code_javascript_open_online_ilm);
        $mform->addElement('header', 'upload_ilm', get_string('upload_ilm', 'iassign'));
        $options = array('subdirs' => 0, 'maxbytes' => $CFG->userquota, 'maxfiles' => -1, 'accepted_types' => '*');
        $mform->addElement('filepicker', 'file', get_string('file', 'iassign'), null, $options);
        $mform->addElement('submit', 'submitbutton', get_string('add_file', 'iassign'));

        // Hidden fields
        $mform->addElement('hidden', 'id');
        $mform->addElement('hidden', 'from');
    }

}

?>
