<?php

/** * @description Form to add and edit instance of iAssign
 *  * @authors Patricia Alves Rodrigues and Leônidas O. Brandão
 *  * @version $Id: mod_form.php$ v 1.0 2010/09/27$
 *  * @package iAssign: Intective Assignments
 *  * @last modification date 2012/10/15
 *  *
 *  * iMatica - iMath (http://www.matematica.br)
 *  * Computer Science Dep. of IME-USP (Brazil)
 *  * */
if (!defined('MOODLE_INTERNAL')) {
    die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
}

require_once ($CFG->dirroot . '/course/moodleform_mod.php');

class mod_iassign_mod_form extends moodleform_mod {

    function definition() {
        global $CFG, $COURSE, $USER, $DB;

        $mform = & $this->_form;

//-------------------------------------------------------------------------------
        /// Adding the "title_type_iassign" fieldset, where all the common settings are showed

        $mform->addElement('header', 'general', get_string('general', 'iassign'));


        /// Adding the standard "name" field
        $mform->addElement('text', 'name', get_string('iassigntitle', 'iassign'), array('size' => '55'));
        if (!empty($CFG->formatstringstriptags)) {
            $mform->setType('name', PARAM_TEXT);
        } else {
            $mform->setType('name', PARAM_CLEANHTML);
        }
        $mform->addRule('name', null, 'required', null, 'client');


        $mform->addElement('selectyesno', 'activity_group', get_string('activity_group', 'iassign'));
        $mform->setDefault('activity_group', 1);
        $mform->addHelpButton('activity_group', 'helpactivitygroup', 'iassign');

        //-------------------------------------------------------------------------------
        // add standard elements, common to all modules


        $this->standard_coursemodule_elements(); //
//-------------------------------------------------------------------------------
        // add standard buttons, common to all modules


        $this->add_action_buttons();
    }

}

?>
