<?PHP

/** * @description Block iLM manager
 *  * @authors Patricia Alves Rodrigues and Leônidas O. Brandão
 *  * @version $Id: block_editor_ima.php$ v 1.0 2012/01/10$
 *  * @package iAssign: Intective Assignments
 *  * @last modification date 2012/10/10
 *  *
 *  * iMatica - iMath (http://www.matematica.br)
 *  * Computer Science Dep. of IME-USP (Brazil)
 *  * */
class block_iassign_block extends block_base {

    function init() {
        $this->title = get_string('blocktitle', 'block_iassign_block');
        $this->blockname = get_string('pluginname', 'block_iassign_block');
    }

    function specialization() {
        
    }

    function applicable_formats() {
        return array('all' => true);
    }

    function instance_allow_multiple() {
        return false;
    }

    function get_content() {
        global $USER, $CFG, $COURSE, $PAGE, $OUTPUT;

        if ($this->content !== NULL) {
            return $this->content;
        }
        if (empty($this->instance)) {
            return null;
        }

        if (isloggedin() && !isguestuser()) {   // Show the block
            $this->content = new stdClass();
            if ($PAGE->pagelayout != 'frontpage') {
                if (has_capability('mod/iassign:editiassign', $this->context)) {//
                    $this->content->text = $OUTPUT->single_button(new moodle_url("$CFG->wwwroot/mod/iassign/ilm_manager.php?id=$COURSE->id&from=block", array('returnurl' => $PAGE->url->out())), get_string('new_edit', 'block_iassign_block'), 'get');
                } return $this->content;
            }
        }
    }

}

?>
